=== debian/control ===
Source: ros-melodic-photo
Section: misc
Priority: extra
Maintainer: Philip Roan <Philip.Roan@us.bosch.com>
Build-Depends: debhelper (>= 9.0.0), libgphoto2-dev, libopencv-dev, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/photo
Standards-Version: 3.9.2

Package: ros-melodic-photo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgphoto2-dev, libopencv-dev, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: The photo package provides access to digital cameras.
 Much of the underlying functionality is provide by the gPhoto libary. The system package libgphoto2-2-dev or equivalent is required.&gt;
